debhelper 9.20150101ubuntu1 source package in Ubuntu

Changelog

debhelper (9.20150101ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Depend on dh-apparmor.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

debhelper (9.20150101) unstable; urgency=medium

  [ Niels Thykier ]
  * Revert detection of unsafe binNMUs under compat 9 and
    earlier.  It had some false-positives.  (Closes: #773965)

  [ Axel Beckert ]
  * Document that dh_installdocs will error out on --link-doc
    between arch:all and arch:any packages in man 7 debhelper.

debhelper (9.20141222) unstable; urgency=medium

  * Add missing entry about #747141.
  * Fix typo in comment in dh_installman.  Thanks to Raphael
    Geissert for spotting it.  (Closes: #772502)

debhelper (9.20141221) unstable; urgency=medium

  [ Niels Thykier ]
  * New debhelper maintainers.  (Closes: #768507)
    - Add Niels Thykier to uploaders.
  * dh_installdeb: Raise required dpkg version for dir_to_symlink to
    1.17.13 (see #769843, msg #10).  Thanks to Guillem Jover.
  * Refuse to build packages using --link-doc between arch:any and
    arch:all packages (or vice versa) as it results in broken
    packages.
    - In compat 9 or less: Only during an actual binNMU.
    - In compat 10 or newer: Unconditionally.
    (Closes: #747141)

  [ Bernhard R. Link ]
    - Add Bernhard Link to uploaders.

  [ Axel Beckert ]
  * dh_installdeb: Raise required dpkg version for symlink_to_dir to
    1.17.14. It is needed in case of relative symlinks. (Closes: #770245)

debhelper (9.20141107) unstable; urgency=medium

  * I'm leaving Debian, and Debhelper needs a new maintainer.
 -- Iain Lane <email address hidden>   Wed, 07 Jan 2015 09:48:12 +0000

Upload details

Uploaded by:
Iain Lane on 2015-01-07
Uploaded to:
Vivid
Original maintainer:
Ubuntu Developers
Architectures:
all
Section:
devel
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Vivid: [FULLYBUILT] amd64

Downloads

File Size SHA-256 Checksum
debhelper_9.20150101ubuntu1.tar.gz 540.7 KiB 32fedbdc9f996a896a71a6e315c7fcebeec8c9594d3115e0a0e7d930c64c39a9
debhelper_9.20150101ubuntu1.dsc 1.8 KiB 04da8948fdff38e88a7af1f02f7fb0831cd6e9bd3d4eff65ea9c76d88e43a24f

View changes file

Binary packages built by this source

debhelper: No summary available for debhelper in ubuntu vivid.

No description available for debhelper in ubuntu vivid.